
/*

 Main Schedule of the process from start to finish of the automatic Beer Dispenser - this schedule goes through and calls functions of code
 in seperated tabs
 
 */

int operateDispenser (int TapNumber, int TapSolenoid, int FillingTime){
  
  delay (1500);

  Direction = true;

  //Home to Tap Approach
  MotorDrive(Direction, SequenceSpeed);
  delay(TapApproach);
  MotorDrive(Direction, ApproachSpeed);

  //Tap Position LDR
  LDRDetect = LDRScan(TapNumber, 500);
  if (LDRDetect == 1)
  {
    MotorStop();
    delay(1000);
  }
  else
  {
    EmergencyStop();
  }
  
  delay(2000);

  //Filling Glass
  GlassFill(TapSolenoid, FillingTime); 
   
  delay(2000); 
   
  //Tap to End Approach
  MotorDrive(Direction, SequenceSpeed);
  delay(EndApproach);
  MotorDrive(Direction, ApproachSpeed);

  //End Position LDR
  LDRDetect = LDRScan(EndLDR, 500);
  if (LDRDetect == 1)
  {
    MotorStop();
  }
  else
  {
    EmergencyStop();
  }

  delay (10000);
  
  //End to Home Approach
  Direction == false;
    
  MotorDrive(Direction, SequenceSpeed);
  delay(HomeApproach);
  MotorDrive(Direction, ApproachSpeed); 
 
  MotorStop();

}


